import React from "react";
import { View, Text } from "react-native";
import { Post } from "../util/api";
import { style } from "../util/style";

/**
 * This is the component that holds a single Post
 *
 * @param {Post} post The post to display
 * @returns {JSX.Element} The JSX for the Post
 */
export function PostView({ post }: { post: Post }): JSX.Element {
  return (
    <View style={style.postView}>
      <Text style={style.postFont}>{post.id + " " + post.content}</Text>
    </View>
  );
}
